GLS ShipIT 3.5.15 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.UpdateParcelWeightRequestParameter Class Reference

## Public Member Functions
String | getTrackID ()
void | setTrackID (String value)
String | getShipmentReference ()
void | setShipmentReference (String value)
String | getShipmentUnitReference ()
void | setShipmentUnitReference (String value)
String | getParcelNumber ()
void | setParcelNumber (String value)
String | getPartnerParcelNumber ()
void | setPartnerParcelNumber (String value)
BigDecimal | getWeight ()
void | setWeight (BigDecimal value)

## Protected Attributes
String | trackID
String | shipmentReference
String | shipmentUnitReference
String | parcelNumber
String | partnerParcelNumber
BigDecimal | weight

## Detailed Description

Request (input) parameters for updateParcelWeight request

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <choice>
              <element name="TrackID" type="{http://fpcs.gls-group.eu/v1/Common}ReferenceNumber"/>
              <element name="ShipmentReference" type="{http://fpcs.gls-group.eu/v1/Common}CustomerReferenceNumber"/>
              <element name="ShipmentUnitReference" type="{http://fpcs.gls-group.eu/v1/Common}CustomerReferenceNumber"/>
              <element name="ParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
              <element name="PartnerParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
            </choice>
            <element name="Weight" type="{http://fpcs.gls-group.eu/v1/Common}Weight"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 56 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/UpdateParcelWeightRequestParameter.java.

## Member Function Documentation

## ◆ getParcelNumber()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.UpdateParcelWeightRequestParameter.getParcelNumber | ( |  | ) |

Gets the value of the parcelNumber property.

Returns
  possible object is String

Definition at line 153 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/UpdateParcelWeightRequestParameter.java.

## ◆ getPartnerParcelNumber()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.UpdateParcelWeightRequestParameter.getPartnerParcelNumber | ( |  | ) |

Gets the value of the partnerParcelNumber property.

Returns
  possible object is String

Definition at line 177 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/UpdateParcelWeightRequestParameter.java.

## ◆ getShipmentReference()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.UpdateParcelWeightRequestParameter.getShipmentReference | ( |  | ) |

Gets the value of the shipmentReference property.

Returns
  possible object is String

Definition at line 105 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/UpdateParcelWeightRequestParameter.java.

## ◆ getShipmentUnitReference()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.UpdateParcelWeightRequestParameter.getShipmentUnitReference | ( |  | ) |

Gets the value of the shipmentUnitReference property.

Returns
  possible object is String

Definition at line 129 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/UpdateParcelWeightRequestParameter.java.

## ◆ getTrackID()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.UpdateParcelWeightRequestParameter.getTrackID | ( |  | ) |

Gets the value of the trackID property.

Returns
  possible object is String

Definition at line 81 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/UpdateParcelWeightRequestParameter.java.

## ◆ getWeight()

BigDecimal eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.UpdateParcelWeightRequestParameter.getWeight | ( |  | ) |

Gets the value of the weight property.

Returns
  possible object is String

Definition at line 201 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/UpdateParcelWeightRequestParameter.java.

## ◆ setParcelNumber()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.UpdateParcelWeightRequestParameter.setParcelNumber | ( | String | value | ) |

Sets the value of the parcelNumber property.

Parameters

  value | allowed object is String

Definition at line 165 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/UpdateParcelWeightRequestParameter.java.

## ◆ setPartnerParcelNumber()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.UpdateParcelWeightRequestParameter.setPartnerParcelNumber | ( | String | value | ) |

Sets the value of the partnerParcelNumber property.

Parameters

  value | allowed object is String

Definition at line 189 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/UpdateParcelWeightRequestParameter.java.

## ◆ setShipmentReference()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.UpdateParcelWeightRequestParameter.setShipmentReference | ( | String | value | ) |

Sets the value of the shipmentReference property.

Parameters

  value | allowed object is String

Definition at line 117 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/UpdateParcelWeightRequestParameter.java.

## ◆ setShipmentUnitReference()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.UpdateParcelWeightRequestParameter.setShipmentUnitReference | ( | String | value | ) |

Sets the value of the shipmentUnitReference property.

Parameters

  value | allowed object is String

Definition at line 141 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/UpdateParcelWeightRequestParameter.java.

## ◆ setTrackID()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.UpdateParcelWeightRequestParameter.setTrackID | ( | String | value | ) |

Sets the value of the trackID property.

Parameters

  value | allowed object is String

Definition at line 93 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/UpdateParcelWeightRequestParameter.java.

## ◆ setWeight()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.UpdateParcelWeightRequestParameter.setWeight | ( | BigDecimal | value | ) |

Sets the value of the weight property.

Parameters

  value | allowed object is String

Definition at line 213 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/UpdateParcelWeightRequestParameter.java.

## Member Data Documentation

## ◆ parcelNumber

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.UpdateParcelWeightRequestParameter.parcelNumber
| protected

Definition at line 65 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/UpdateParcelWeightRequestParameter.java.

## ◆ partnerParcelNumber

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.UpdateParcelWeightRequestParameter.partnerParcelNumber
| protected

Definition at line 67 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/UpdateParcelWeightRequestParameter.java.

## ◆ shipmentReference

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.UpdateParcelWeightRequestParameter.shipmentReference
| protected

Definition at line 61 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/UpdateParcelWeightRequestParameter.java.

## ◆ shipmentUnitReference

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.UpdateParcelWeightRequestParameter.shipmentUnitReference
| protected

Definition at line 63 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/UpdateParcelWeightRequestParameter.java.

## ◆ trackID

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.UpdateParcelWeightRequestParameter.trackID
| protected

Definition at line 59 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/UpdateParcelWeightRequestParameter.java.

## ◆ weight

BigDecimal eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.UpdateParcelWeightRequestParameter.weight
| protected

Definition at line 71 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/UpdateParcelWeightRequestParameter.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/UpdateParcelWeightRequestParameter.java